# Uses of Class
org.apache.sysds.runtime.lineage.LineageMap

Packages that use LineageMap
Package
Description
org.apache.sysds.runtime.lineage

## Uses of LineageMap in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage that return LineageMap
Modifier and Type
Method
Description
`LineageMap`
LineageDedupBlock.`getActiveMap()`
`LineageMap`
Lineage.`getLineageMap()`
`LineageMap`
LineageDedupBlock.`getMap(Long path)`
Methods in org.apache.sysds.runtime.lineage that return types with arguments of type LineageMap
Modifier and Type
Method
Description
`Map<Long,LineageMap>`
LineageDedupBlock.`getPathMaps()`
Methods in org.apache.sysds.runtime.lineage with parameters of type LineageMap
Modifier and Type
Method
Description
`void`
LineageMap.`processDedupItem(LineageMap lm, Long path, LineageItem[] liinputs, String name, Map<String,Integer> dpatchHashList)`
`void`
LineageDedupBlock.`setMap(Long takenPath, LineageMap tracedMap)`
Method parameters in org.apache.sysds.runtime.lineage with type arguments of type LineageMap
Modifier and Type
Method
Description
`void`
LineageDedupBlock.`traceBasicProgramBlock(BasicProgramBlock bpb, ExecutionContext ec, Collection<Map.Entry<Long,LineageMap>> paths)`
`void`
LineageDedupBlock.`traceIfProgramBlock(IfProgramBlock ipb, ExecutionContext ec, Collection<Map.Entry<Long,LineageMap>> paths)`
`void`
LineageDedupBlock.`traceProgramBlock(ProgramBlock pb, ExecutionContext ec, Collection<Map.Entry<Long,LineageMap>> paths)`
Constructors in org.apache.sysds.runtime.lineage with parameters of type LineageMap
Modifier
Constructor
Description
``
`LineageMap(LineageMap that)`